CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | List of all members
TestSetUp Class Reference

Decorates a test by providing a specific setUp() and tearDown(). More...

`#include <TestSetUp.h>`

Inheritance diagram for TestSetUp:

## Public Member Functions

| TestSetUp (Test *test)
void | run (TestResult *result)
| Run the test, collecting results. More...
Public Member Functions inherited from TestDecorator
| TestDecorator (Test *test)
| ~TestDecorator ()
int | countTestCases () const
| Return the number of test cases invoked by run(). More...
std::string | getName () const
| Returns the test name. More...
int | getChildTestCount () const
| Returns the number of direct child of the test. More...
Public Member Functions inherited from Test
virtual | ~Test ()
virtual Test * | getChildTestAt (int index) const
| Returns the child test of the specified index. More...
virtual bool | findTestPath (const std::string &testName, TestPath &testPath) const
| Finds the test with the specified name and its parents test. More...
virtual bool | findTestPath (const Test *test, TestPath &testPath) const
| Finds the specified test and its parents test. More...
virtual Test * | findTest (const std::string &testName) const
| Finds the test with the specified name in the hierarchy. More...
virtual TestPath | resolveTestPath (const std::string &testPath) const
| Resolved the specified test path with this test acting as 'root'. More...

## Protected Member Functions

virtual void | setUp ()
virtual void | tearDown ()
Protected Member Functions inherited from TestDecorator
Test * | doGetChildTestAt (int index) const
| Returns the child test of the specified valid index. More...
Protected Member Functions inherited from Test
virtual void | checkIsValidIndex (int index) const

## Private Member Functions

| TestSetUp (const TestSetUp &)
void | operator= (const TestSetUp &)

## Additional Inherited Members

Protected Attributes inherited from TestDecorator
Test * | m_test

## Detailed Description

Decorates a test by providing a specific setUp() and tearDown().

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN TestSetUp::TestSetUp | ( | Test * | test | ) |

TestSetUp::TestSetUp | ( | const TestSetUp & |  | ) |

private

## Member Function Documentation

void TestSetUp::operator= | ( | const TestSetUp & |  | ) |

private

void TestSetUp::run | ( | TestResult * | result | ) |

virtual

Run the test, collecting results.

Reimplemented from TestDecorator.

void TestSetUp::setUp | ( |  | ) |

protected virtual

void TestSetUp::tearDown | ( |  | ) |

protected virtual

The documentation for this class was generated from the following files:

- TestSetUp.h
- TestSetUp.cpp

| Send comments to: CppUnit Developers